zenilib: png_struct_def Struct Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Attributes | List of all members
png_struct_def Struct Reference

`#include <pngstruct.h>`

## Public Attributes

png_bytep | avg_row
png_bytep | big_prev_row
png_bytep | big_row_buf
png_byte | bit_depth
png_byte | channels
png_uint_32 | chunk_name
png_charp | chunkdata
png_byte | color_type
png_byte | compression
png_byte | compression_type
png_uint_32 | crc
png_byte | do_filter
png_error_ptr | error_fn
png_voidp | error_ptr
png_byte | filter
png_uint_32 | flags
png_uint_32 | free_me
png_uint_32 | height
png_uint_32 | idat_size
png_size_t | info_rowbytes
png_byte | interlaced
png_byte | io_chunk_string [5]
png_voidp | io_ptr
png_uint_32 | iwidth
png_byte | maximum_pixel_depth
png_uint_32 | mode
png_uint_16 | num_palette
png_uint_32 | num_rows
png_uint_16 | num_trans
png_size_t | old_big_row_buf_size
png_bytep | paeth_row
png_colorp | palette
png_byte | pass
png_byte | pixel_depth
png_bytep | prev_row
png_rw_ptr | read_data_fn
void(* | read_filter [PNG_FILTER_VALUE_LAST-1])(png_row_infop row_info, png_bytep row, png_const_bytep prev_row)
png_read_status_ptr | read_row_fn
png_bytep | row_buf
png_uint_32 | row_number
png_size_t | rowbytes
png_byte | sig_bytes
png_bytep | sub_row
png_uint_32 | transformations
png_byte | transformed_pixel_depth
png_bytep | up_row
png_byte | usr_bit_depth
png_byte | usr_channels
png_uint_32 | usr_width
png_uint_32 | width
png_rw_ptr | write_data_fn
png_write_status_ptr | write_row_fn
png_bytep | zbuf
uInt | zbuf_size
z_stream | zstream

## Detailed Description

Definition at line 29 of file pngstruct.h.

## Member Data Documentation

png_bytep png_struct_def::avg_row

Definition at line 116 of file pngstruct.h.

png_bytep png_struct_def::big_prev_row

Definition at line 353 of file pngstruct.h.

png_bytep png_struct_def::big_row_buf

Definition at line 306 of file pngstruct.h.

png_byte png_struct_def::bit_depth

Definition at line 131 of file pngstruct.h.

png_byte png_struct_def::channels

Definition at line 134 of file pngstruct.h.

png_uint_32 png_struct_def::chunk_name

Definition at line 107 of file pngstruct.h.

Referenced by png_format_buffer().

png_charp png_struct_def::chunkdata

Definition at line 345 of file pngstruct.h.

png_byte png_struct_def::color_type

Definition at line 130 of file pngstruct.h.

png_byte png_struct_def::compression

Definition at line 125 of file pngstruct.h.

png_byte png_struct_def::compression_type

Definition at line 318 of file pngstruct.h.

png_uint_32 png_struct_def::crc

Definition at line 121 of file pngstruct.h.

png_byte png_struct_def::do_filter

Definition at line 129 of file pngstruct.h.

png_error_ptr png_struct_def::error_fn

Definition at line 35 of file pngstruct.h.

Referenced by png_set_error_fn().

png_voidp png_struct_def::error_ptr

Definition at line 39 of file pngstruct.h.

Referenced by png_set_error_fn().

png_byte png_struct_def::filter

Definition at line 126 of file pngstruct.h.

png_uint_32 png_struct_def::flags

Definition at line 63 of file pngstruct.h.

png_uint_32 png_struct_def::free_me

Definition at line 257 of file pngstruct.h.

png_uint_32 png_struct_def::height

Definition at line 101 of file pngstruct.h.

png_uint_32 png_struct_def::idat_size

Definition at line 120 of file pngstruct.h.

png_size_t png_struct_def::info_rowbytes

Definition at line 118 of file pngstruct.h.

png_byte png_struct_def::interlaced

Definition at line 127 of file pngstruct.h.

png_byte png_struct_def::io_chunk_string[5]

Definition at line 141 of file pngstruct.h.

png_voidp png_struct_def::io_ptr

Definition at line 42 of file pngstruct.h.

png_uint_32 png_struct_def::iwidth

Definition at line 105 of file pngstruct.h.

png_byte png_struct_def::maximum_pixel_depth

Definition at line 137 of file pngstruct.h.

png_uint_32 png_struct_def::mode

Definition at line 62 of file pngstruct.h.

png_uint_16 png_struct_def::num_palette

Definition at line 123 of file pngstruct.h.

png_uint_32 png_struct_def::num_rows

Definition at line 102 of file pngstruct.h.

png_uint_16 png_struct_def::num_trans

Definition at line 124 of file pngstruct.h.

png_size_t png_struct_def::old_big_row_buf_size

Definition at line 342 of file pngstruct.h.

png_bytep png_struct_def::paeth_row

Definition at line 117 of file pngstruct.h.

png_colorp png_struct_def::palette

Definition at line 122 of file pngstruct.h.

png_byte png_struct_def::pass

Definition at line 128 of file pngstruct.h.

png_byte png_struct_def::pixel_depth

Definition at line 133 of file pngstruct.h.

png_bytep png_struct_def::prev_row

Definition at line 108 of file pngstruct.h.

png_rw_ptr png_struct_def::read_data_fn

Definition at line 41 of file pngstruct.h.

void(* png_struct_def::read_filter[PNG_FILTER_VALUE_LAST-1])(png_row_infop row_info, png_bytep row, png_const_bytep prev_row)

Definition at line 355 of file pngstruct.h.

png_read_status_ptr png_struct_def::read_row_fn

Definition at line 195 of file pngstruct.h.

png_bytep png_struct_def::row_buf

Definition at line 111 of file pngstruct.h.

png_uint_32 png_struct_def::row_number

Definition at line 106 of file pngstruct.h.

png_size_t png_struct_def::rowbytes

Definition at line 104 of file pngstruct.h.

png_byte png_struct_def::sig_bytes

Definition at line 136 of file pngstruct.h.

png_bytep png_struct_def::sub_row

Definition at line 114 of file pngstruct.h.

png_uint_32 png_struct_def::transformations

Definition at line 64 of file pngstruct.h.

png_byte png_struct_def::transformed_pixel_depth

Definition at line 139 of file pngstruct.h.

png_bytep png_struct_def::up_row

Definition at line 115 of file pngstruct.h.

png_byte png_struct_def::usr_bit_depth

Definition at line 132 of file pngstruct.h.

png_byte png_struct_def::usr_channels

Definition at line 135 of file pngstruct.h.

png_uint_32 png_struct_def::usr_width

Definition at line 103 of file pngstruct.h.

png_uint_32 png_struct_def::width

Definition at line 100 of file pngstruct.h.

png_rw_ptr png_struct_def::write_data_fn

Definition at line 40 of file pngstruct.h.

png_write_status_ptr png_struct_def::write_row_fn

Definition at line 196 of file pngstruct.h.

png_bytep png_struct_def::zbuf

Definition at line 67 of file pngstruct.h.

uInt png_struct_def::zbuf_size

Definition at line 68 of file pngstruct.h.

z_stream png_struct_def::zstream

Definition at line 66 of file pngstruct.h.

The documentation for this struct was generated from the following file:

- zenilib/jni/external/libpng/pngstruct.h